orbit.devices
=============

.. automodule:: omni.isaac.orbit.devices

  .. rubric:: Classes

  .. autosummary::

    DeviceBase
    Se2Gamepad
    Se3Gamepad
    Se2Keyboard
    Se3Keyboard
    Se3SpaceMouse
    Se3SpaceMouse

Device Base
-----------

.. autoclass:: DeviceBase
    :members:

Game Pad
--------

.. autoclass:: Se2Gamepad
    :members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: Se3Gamepad
    :members:
    :inherited-members:
    :show-inheritance:

Keyboard
--------

.. autoclass:: Se2Keyboard
    :members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: Se3Keyboard
    :members:
    :inherited-members:
    :show-inheritance:

Space Mouse
-----------

.. autoclass:: Se2SpaceMouse
    :members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: Se3SpaceMouse
    :members:
    :inherited-members:
    :show-inheritance:
